numero.quality {Numero} | R Documentation

## Self-organizing map statistics

### Description

Evaluate regional variation of data values on a self-organizing map

### Usage

    numero.quality(model, data = NULL)

### Arguments

`model` | A list object that contains a self-organizing map and a data layout.
`data` | A matrix or a data frame.

### Details

The input argument `model` must be in the the output format as returned by `numero.create()`.

### Value

A list with named elements: `som` contains the self-organizing map; `layout` contains the district assignments for data points; `planes` contains smoothed district averages of quality measures, see `nroAggregate()` and `nroMatch()`; the element `ranges` contains the reference ranges to be used in `nroColorize()`; the element `palette` is the name of the colormap to be used for colorings; and `statistics` contains the output from `nroPermute()`.

### Author(s)

Ville-Petteri Makinen

### Examples

    # Import data.
    fname <- system.file("extdata", "finndiane.txt", package = "Numero")
    dataset <- read.delim(file = fname)

    # Set identities and manage missing data.
    dataset <- numero.clean(dataset, identity = "INDEX")

    # Prepare training variables.
    trvars <- c("CHOL", "HDL2C", "TG", "CREAT", "uALB")
    trdata <- numero.prepare(data = dataset, variables = trvars)

    # Create a self-organizing map.
    modl <- numero.create(data = trdata)

    # Analyze map quality.
    qc <- numero.quality(model = modl)

[Package Numero version 1.2.0 Index]